/****************************************************************************
**
** Copyright (C) 2013 Digia Plc and/or its subsidiary(-ies).
** Contact: http://www.qt-project.org/legal
**
** This file is part of the Symbian application wrapper of the Qt Toolkit.
**
** $QT_BEGIN_LICENSE:LGPL$
** Licensees holding valid Qt Enterprise licenses may use this file in
** accordance with the Qt Enterprise License Agreement provided with the 
** Software or, alternatively, in accordance with the terms contained in
** a written agreement between you and Digia.  
**
** If you have questions regarding the use of this file, please use
** contact form at http://qt.digia.com
** $QT_END_LICENSE$
**
****************************************************************************/

#ifndef QS60MAINAPPLICATION_H
#define QS60MAINAPPLICATION_H

#include <QtCore/qglobal.h>

#ifdef Q_OS_SYMBIAN

#ifdef Q_WS_S60
#include <aknapp.h>
typedef CAknApplication QS60MainApplicationBase;
#else
#include <eikapp.h>
typedef CEikApplication QS60MainApplicationBase;
#endif

QT_BEGIN_HEADER

QT_BEGIN_NAMESPACE

QT_MODULE(Gui)

class Q_GUI_EXPORT QS60MainApplication : public QS60MainApplicationBase
{
public:
    QS60MainApplication();
    // The virtuals are for qdoc.
    virtual ~QS60MainApplication();

    virtual TUid AppDllUid() const;

    virtual TFileName ResourceFileName() const;

public:

    virtual void PreDocConstructL();

    virtual CDictionaryStore *OpenIniFileLC(RFs &aFs) const;

    virtual void NewAppServerL(CApaAppServer *&aAppServer);

protected:

    virtual CApaDocument *CreateDocumentL();
};

QT_END_NAMESPACE

QT_END_HEADER

#endif // Q_OS_SYMBIAN

#endif // QS60MAINAPPLICATION_H
